### Name: as.gWidgetsRGtk2
### Title: Coerce an RGtk2 object into a gWidgetsRGtk2 object
### Aliases: as.gWidgetsRGtk2 as.gWidgetsRGtk2.GtkHBox
###   as.gWidgetsRGtk2.GtkVBox as.gWidgetsRGtk2.GtkImage
###   as.gWidgetsRGtk2.GtkLabel as.gWidgetsRGtk2.GtkTable
###   as.gWidgetsRGtk2.GtkNotebook as.gWidgetsRGtk2.GtkHPaned
###   as.gWidgetsRGtk2.GtkVPaned as.gWidgetsRGtk2.GtkRadioButton
###   as.gWidgetsRGtk2.GtkHSeparator as.gWidgetsRGtk2.GtkVSeparator
###   as.gWidgetsRGtk2.GtkHScale as.gWidgetsRGtk2.GtkVScale
###   as.gWidgetsRGtk2.GtkSpinButton as.gWidgetsRGtk2.GtkStatusbar
###   as.gWidgetsRGtk2.GtkTextView
### Keywords: interface

### ** Examples

## Not run: 
##D ## This requires glade libraries to be installed before compiling RGtk2
##D options("guiToolkit"="RGtk2")
##D library(RGtk2)
##D library(gWidgets)
##D library(gWidgetsRGtk2)
##D 
##D gladeFile <- system.file("examples/t.test.glade",package="gWidgetsRGtk2")
##D GUI <- gladeXMLNew("t.test.glade")
##D 
##D w <- GUI$GetWidget("window1")
##D w$Show()                                # show
##D win <- as.gWidgetsRGtk2(w)
##D 
##D gladeXMLGetWidgetNames <- function(obj) {
##D   sapply(obj$GetWidgetPrefix(""),gladeGetWidgetName)
##D }
##D 
##D gladeXMLGetgWidgetsRGtk2 <- function(obj) {
##D   nms <- obj$GetWidgetNames()
##D   widgets <- sapply(nms, function(i) obj$GetWidget(i))
##D   widgets <- sapply(widgets, as.gWidgetsRGtk2)
##D   return(widgets)
##D }
##D 
##D l <- GUI$GetgWidgetsRGtk2()
##D 
##D ## val names have similar form
##D valNames <- grep("Val$",GUI$GetWidgetNames())
##D defHandler <- function(...) {
##D   lst <- list()
##D   args <- c("x","y", "mu","alt","var.equal","paired","conf.level")
##D   for(i in args) {
##D     key <- paste(i,"Val",sep="")
##D     widget <- l[[key]]
##D     val <- svalue(widget)
##D     if(!is.null(val) && val != "")
##D       lst[[i]] <- val
##D   }
##D   if(!is.null(lst$x)) {
##D     cmd <- "t.test("
##D     argList <- c()
##D     for(i in names(lst)) {
##D       argList <- c(argList,paste(i,"=",lst[[i]], sep=""))
##D     }
##D     cmd <- paste(cmd, paste(argList,collapse=", "),")",sep="")
##D     print(cmd)
##D   }      
##D }  
##D ## Add handler to each widget
##D sapply(valNames, function(i) addHandlerChanged(l[[i]],handler=defHandler))
##D ## put handler on dismiss button
##D addHandlerChanged(l[['dismiss']], handler = function(h,...) dispose(win))
## End(Not run)



